<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 20011 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: content_news_slider_panel.php
| Version: 1.0
| Author: HaYaLeT http://www.hayaletsevgili.com
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
| Please don't delete copy link / Ltfen Link Silmeyin
+--------------------------------------------------------*/

if (!defined('IN_FUSION')) { die('Access Denied'); }

if (file_exists(INFUSIONS."content_news_slider_panel/locale/".$settings['locale'].".php")) {
	include INFUSIONS."content_news_slider_panel/locale/".$settings['locale'].".php";
} else {
	include INFUSIONS."content_news_slider_panel/locale/English.php";
}


add_to_head("<link rel='stylesheet' href='".INFUSIONS."content_news_slider_panel/jflowstyle.css' type='text/css' media='screen' />");
add_to_head("<script type='text/javascript' src='".INFUSIONS."content_news_slider_panel/jquery.flow.1.2.js'></script> ");
/*add_to_head("<script type='text/javascript' src='".INFUSIONS."content_news_slider_panel/jquery.flow.1.2.min.js'></script> ");*/


echo "<script type=\"text/javascript\">
$(document).ready(function(){
	$(\"#myController\").jFlow({
		slides: \"#slides\",
		controller: \".jFlowControl\", // must be class, use . sign
		slideWrapper : \"#jFlowSlide\", // must be id, use # sign
		selectedWrapper: \"jFlowSelected\",  // just pure text, no sign
		auto: true,		//auto change slide, default true
		width: \"610px\",
		height: \"235px\",
		duration: 400,
		prev: \".jFlowPrev\", // must be class, use . sign
		next: \".jFlowNext\" // must be class, use . sign
	});
});
</script>";

opentable($locale['slide001']);

echo "
<div class='jflow-content-slider'>
		<div id='slides'>
			<div class='slide-wrapper'>";


/*****************************************************/
$result = dbquery("SELECT tn.*, tc.*, user_id, user_name, user_status  FROM ".DB_NEWS." tn
			LEFT JOIN ".DB_USERS." tu ON tn.news_name=tu.user_id
			LEFT JOIN ".DB_NEWS_CATS." tc ON tn.news_cat=tc.news_cat_id
			WHERE ".groupaccess('news_visibility')." AND (news_start='0'||news_start<=".time().") AND (news_end='0'||news_end>=".time().") AND news_draft='0'
			ORDER BY news_sticky DESC, news_datestamp DESC LIMIT 0,1");
if (dbrows($result)) {
		while ($data = dbarray($result)) {
$news_comments = dbcount("(comment_id)", DB_COMMENTS, "comment_type='N' AND comment_hidden='0' AND comment_item_id='".$data['news_id']."'");


				echo "<div class='slide-thumbnail'>";
				if ($data['news_image_t1']) {
echo "<a href='".BASEDIR."news.php?readmore=".$data["news_id"]."' title='".stripslashes($data["news_subject"])."'> <img src='".IMAGES_N.$data["news_image"]."' height='224' width='298' border='0' alt='".stripslashes($data["news_subject"])."' title='".$locale['slide004']."' /></a> ";}

elseif ($data['news_cat_image']) {
echo "<a href='".BASEDIR."news.php?readmore=".$data["news_id"]."' title='".stripslashes($data["news_subject"])."'><img src='".get_image("nc_".$data["news_cat_name"])."' height='224' width='298' border='0' alt='".stripslashes($data["news_subject"])."' title='".$locale['slide004']."' /> </a>";}

else {
echo "<a href='".BASEDIR."news.php?readmore=".$data["news_id"]."' title='".$data["news_subject"]."'><img src='".INFUSIONS."hayaletsevgili_news_panel/img/noimg.png' height='224' width='298' alt='".stripslashes($data["news_subject"])."' title='".$locale['slide004']."' border='0'/></a>"; }

				echo "</div>";
				echo "<div class='slide-details'>
					<table cellpadding='0' cellspacing='0' style='border:0px solid #ddd;width:100%; '><tr><td> <strong><a href='".BASEDIR."news.php?readmore=".$data["news_id"]."' title='".stripslashes($data["news_subject"])."'>".trimlink(stripslashes($data["news_subject"]),40)."</a></strong></td></tr></table> 
					<div class='description'>
						<table cellpadding='0' cellspacing='0' style='border:0px solid #ddd;width:100%;height:100px;'><tr><td> ".trimlink(stripslashes(strip_tags($data["news_news"])),220)."<br /><a href='".BASEDIR."news.php?readmore=".$data["news_id"]."' title='".stripslashes($data["news_subject"])."'><span style='float:right;padding-right:20px;'>".$locale['slide004']."</span></a></td></tr></table><hr />
<table cellpadding='0' cellspacing='0' style='border:0px solid #ddd;width:100%;height:90px;margin:4px 0 0 0;' ><tr><td style='width:90px;'>
".$locale['slide007']."<br />
".$locale['slide008']."<br />
".$locale['slide009']."<br />
".$locale['slide010']."

</td><td>
:\n".profile_link($data['user_id'], $data['user_name'], $data['user_status'])." <br />
:\n".showdate("forumdate", $data['news_datestamp'])." <br />
:\n".$data['news_reads']."<br />";


if ($data['news_allow_comments']) {

 echo ": <a href='".BASEDIR."news.php?readmore=".$data['news_id']."#comments'>$news_comments</a>";

}else{
echo ":\n $news_comments";
}





	

echo "</td></tr></table> 
					</div>
				</div>"; }}
				echo "<div class='clear'></div>
			</div>";



/**********************************************************/


	echo "<div class='slide-wrapper'>";
$result = dbquery("SELECT tn.*, tc.*, user_id, user_name, user_status  FROM ".DB_NEWS." tn
			LEFT JOIN ".DB_USERS." tu ON tn.news_name=tu.user_id
			LEFT JOIN ".DB_NEWS_CATS." tc ON tn.news_cat=tc.news_cat_id
			WHERE ".groupaccess('news_visibility')." AND (news_start='0'||news_start<=".time().") AND (news_end='0'||news_end>=".time().") AND news_draft='0'
			ORDER BY news_sticky DESC, news_datestamp DESC LIMIT 1,1");
if (dbrows($result)) {
		while ($data = dbarray($result)) {
$news_comments = dbcount("(comment_id)", DB_COMMENTS, "comment_type='N' AND comment_hidden='0' AND comment_item_id='".$data['news_id']."'");


				echo "<div class='slide-thumbnail'>";
				if ($data['news_image_t1']) {
echo "<a href='".BASEDIR."news.php?readmore=".$data["news_id"]."' title='".stripslashes($data["news_subject"])."'> <img src='".IMAGES_N.$data["news_image"]."' height='224' width='298' border='0' alt='".stripslashes($data["news_subject"])."' title='".$locale['slide004']."' /></a> ";}

elseif ($data['news_cat_image']) {
echo "<a href='".BASEDIR."news.php?readmore=".$data["news_id"]."' title='".stripslashes($data["news_subject"])."'><img src='".get_image("nc_".$data["news_cat_name"])."' height='224' width='298' border='0' alt='".stripslashes($data["news_subject"])."' title='".$locale['slide004']."' /> </a>";}

else {
echo "<a href='".BASEDIR."news.php?readmore=".$data["news_id"]."' title='".$data["news_subject"]."'><img src='".INFUSIONS."hayaletsevgili_news_panel/img/noimg.png' height='224' width='298' alt='".stripslashes($data["news_subject"])."' title='".$locale['slide004']."' border='0'/></a>"; }

				echo "</div>";
				echo "<div class='slide-details'>
					<table cellpadding='0' cellspacing='0' style='border:0px solid #ddd;width:100%; '><tr><td> <strong><a href='".BASEDIR."news.php?readmore=".$data["news_id"]."' title='".stripslashes($data["news_subject"])."'>".trimlink(stripslashes($data["news_subject"]),40)."</a></strong></td></tr></table> 
					<div class='description'>
						<table cellpadding='0' cellspacing='0' style='border:0px solid #ddd;width:100%;height:100px;'><tr><td> ".trimlink(stripslashes(strip_tags($data["news_news"])),220)."<br /><a href='".BASEDIR."news.php?readmore=".$data["news_id"]."' title='".stripslashes($data["news_subject"])."'><span style='float:right;padding-right:20px;'>".$locale['slide004']."</span></a></td></tr></table><hr />
<table cellpadding='0' cellspacing='0' style='border:0px solid #ddd;width:100%;height:90px;margin:4px 0 0 0;' ><tr><td style='width:90px;'>
".$locale['slide007']."<br />
".$locale['slide008']."<br />
".$locale['slide009']."<br />
".$locale['slide010']."

</td><td>
:\n".profile_link($data['user_id'], $data['user_name'], $data['user_status'])." <br />
:\n".showdate("forumdate", $data['news_datestamp'])." <br />
:\n".$data['news_reads']."<br />";


if ($data['news_allow_comments']) {

 echo ": <a href='".BASEDIR."news.php?readmore=".$data['news_id']."#comments'>$news_comments</a>";

}else{
echo ":\n $news_comments";
}





	

echo "</td></tr></table> 
					</div>
				</div>"; }}
				echo "<div class='clear'></div>
			</div>";
/**********************************************************/


	echo "<div class='slide-wrapper'>";
$result = dbquery("SELECT tn.*, tc.*, user_id, user_name, user_status  FROM ".DB_NEWS." tn
			LEFT JOIN ".DB_USERS." tu ON tn.news_name=tu.user_id
			LEFT JOIN ".DB_NEWS_CATS." tc ON tn.news_cat=tc.news_cat_id
			WHERE ".groupaccess('news_visibility')." AND (news_start='0'||news_start<=".time().") AND (news_end='0'||news_end>=".time().") AND news_draft='0'
			ORDER BY news_sticky DESC, news_datestamp DESC LIMIT 2,1");
if (dbrows($result)) {
		while ($data = dbarray($result)) {
$news_comments = dbcount("(comment_id)", DB_COMMENTS, "comment_type='N' AND comment_hidden='0' AND comment_item_id='".$data['news_id']."'");


				echo "<div class='slide-thumbnail'>";
				if ($data['news_image_t1']) {
echo "<a href='".BASEDIR."news.php?readmore=".$data["news_id"]."' title='".stripslashes($data["news_subject"])."'> <img src='".IMAGES_N.$data["news_image"]."' height='224' width='298' border='0' alt='".stripslashes($data["news_subject"])."' title='".$locale['slide004']."' /></a> ";}

elseif ($data['news_cat_image']) {
echo "<a href='".BASEDIR."news.php?readmore=".$data["news_id"]."' title='".stripslashes($data["news_subject"])."'><img src='".get_image("nc_".$data["news_cat_name"])."' height='224' width='298' border='0' alt='".stripslashes($data["news_subject"])."' title='".$locale['slide004']."' /> </a>";}

else {
echo "<a href='".BASEDIR."news.php?readmore=".$data["news_id"]."' title='".$data["news_subject"]."'><img src='".INFUSIONS."hayaletsevgili_news_panel/img/noimg.png' height='224' width='298' alt='".stripslashes($data["news_subject"])."' title='".$locale['slide004']."' border='0'/></a>"; }

				echo "</div>";
				echo "<div class='slide-details'>
					<table cellpadding='0' cellspacing='0' style='border:0px solid #ddd;width:100%; '><tr><td> <strong><a href='".BASEDIR."news.php?readmore=".$data["news_id"]."' title='".stripslashes($data["news_subject"])."'>".trimlink(stripslashes($data["news_subject"]),40)."</a></strong></td></tr></table> 
					<div class='description'>
						<table cellpadding='0' cellspacing='0' style='border:0px solid #ddd;width:100%;height:100px;'><tr><td> ".trimlink(stripslashes(strip_tags($data["news_news"])),220)."<br /><a href='".BASEDIR."news.php?readmore=".$data["news_id"]."' title='".stripslashes($data["news_subject"])."'><span style='float:right;padding-right:20px;'>".$locale['slide004']."</span></a></td></tr></table><hr />
<table cellpadding='0' cellspacing='0' style='border:0px solid #ddd;width:100%;height:90px;margin:4px 0 0 0;' ><tr><td style='width:90px;'>
".$locale['slide007']."<br />
".$locale['slide008']."<br />
".$locale['slide009']."<br />
".$locale['slide010']."

</td><td>
:\n".profile_link($data['user_id'], $data['user_name'], $data['user_status'])." <br />
:\n".showdate("forumdate", $data['news_datestamp'])." <br />
:\n".$data['news_reads']."<br />";


if ($data['news_allow_comments']) {

 echo ": <a href='".BASEDIR."news.php?readmore=".$data['news_id']."#comments'>$news_comments</a>";

}else{
echo ":\n $news_comments";
}





	

echo "</td></tr></table> 
					</div>
				</div>"; }}
				echo "<div class='clear'></div>
			</div>";
/**********************************************************/


	echo "<div class='slide-wrapper'>";
$result = dbquery("SELECT tn.*, tc.*, user_id, user_name, user_status  FROM ".DB_NEWS." tn
			LEFT JOIN ".DB_USERS." tu ON tn.news_name=tu.user_id
			LEFT JOIN ".DB_NEWS_CATS." tc ON tn.news_cat=tc.news_cat_id
			WHERE ".groupaccess('news_visibility')." AND (news_start='0'||news_start<=".time().") AND (news_end='0'||news_end>=".time().") AND news_draft='0'
			ORDER BY news_sticky DESC, news_datestamp DESC LIMIT 3,1");
if (dbrows($result)) {
		while ($data = dbarray($result)) {
$news_comments = dbcount("(comment_id)", DB_COMMENTS, "comment_type='N' AND comment_hidden='0' AND comment_item_id='".$data['news_id']."'");


				echo "<div class='slide-thumbnail'>";
				if ($data['news_image_t1']) {
echo "<a href='".BASEDIR."news.php?readmore=".$data["news_id"]."' title='".stripslashes($data["news_subject"])."'> <img src='".IMAGES_N.$data["news_image"]."' height='298' width='224' border='0' alt='".stripslashes($data["news_subject"])."' title='".$locale['slide004']."' /></a> ";}

elseif ($data['news_cat_image']) {
echo "<a href='".BASEDIR."news.php?readmore=".$data["news_id"]."' title='".stripslashes($data["news_subject"])."'><img src='".get_image("nc_".$data["news_cat_name"])."' height='224' width='298' border='0' alt='".stripslashes($data["news_subject"])."' title='".$locale['slide004']."' /> </a>";}

else {
echo "<a href='".BASEDIR."news.php?readmore=".$data["news_id"]."' title='".$data["news_subject"]."'><img src='".INFUSIONS."hayaletsevgili_news_panel/img/noimg.png' height='224' width='298' alt='".stripslashes($data["news_subject"])."' title='".$locale['slide004']."' border='0'/></a>"; }

				echo "</div>";
				echo "<div class='slide-details'>
					<table cellpadding='0' cellspacing='0' style='border:0px solid #ddd;width:100%; '><tr><td> <strong><a href='".BASEDIR."news.php?readmore=".$data["news_id"]."' title='".stripslashes($data["news_subject"])."'>".trimlink(stripslashes($data["news_subject"]),40)."</a></strong></td></tr></table> 
					<div class='description'>
						<table cellpadding='0' cellspacing='0' style='border:0px solid #ddd;width:100%;height:100px;'><tr><td> ".trimlink(stripslashes(strip_tags($data["news_news"])),220)."<br /><a href='".BASEDIR."news.php?readmore=".$data["news_id"]."' title='".stripslashes($data["news_subject"])."'><span style='float:right;padding-right:20px;'>".$locale['slide004']."</span></a></td></tr></table><hr />
<table cellpadding='0' cellspacing='0' style='border:0px solid #ddd;width:100%;height:90px;margin:4px 0 0 0;' ><tr><td style='width:90px;'>
".$locale['slide007']."<br />
".$locale['slide008']."<br />
".$locale['slide009']."<br />
".$locale['slide010']."

</td><td>
:\n".profile_link($data['user_id'], $data['user_name'], $data['user_status'])." <br />
:\n".showdate("forumdate", $data['news_datestamp'])." <br />
:\n".$data['news_reads']."<br />";


if ($data['news_allow_comments']) {

 echo ": <a href='".BASEDIR."news.php?readmore=".$data['news_id']."#comments'>$news_comments</a>";

}else{
echo ":\n $news_comments";
}





	

echo "</td></tr></table> 
					</div>
				</div>"; }}
				echo "<div class='clear'></div>
			</div>";/**********************************************************/


	echo "<div class='slide-wrapper'>";
$result = dbquery("SELECT tn.*, tc.*, user_id, user_name, user_status  FROM ".DB_NEWS." tn
			LEFT JOIN ".DB_USERS." tu ON tn.news_name=tu.user_id
			LEFT JOIN ".DB_NEWS_CATS." tc ON tn.news_cat=tc.news_cat_id
			WHERE ".groupaccess('news_visibility')." AND (news_start='0'||news_start<=".time().") AND (news_end='0'||news_end>=".time().") AND news_draft='0'
			ORDER BY news_sticky DESC, news_datestamp DESC LIMIT 4,1");
if (dbrows($result)) {
		while ($data = dbarray($result)) {
$news_comments = dbcount("(comment_id)", DB_COMMENTS, "comment_type='N' AND comment_hidden='0' AND comment_item_id='".$data['news_id']."'");


				echo "<div class='slide-thumbnail'>";
				if ($data['news_image_t1']) {
echo "<a href='".BASEDIR."news.php?readmore=".$data["news_id"]."' title='".stripslashes($data["news_subject"])."'> <img src='".IMAGES_N.$data["news_image"]."' height='224' width='298' border='0' alt='".stripslashes($data["news_subject"])."' title='".$locale['slide004']."' /></a> ";}

elseif ($data['news_cat_image']) {
echo "<a href='".BASEDIR."news.php?readmore=".$data["news_id"]."' title='".stripslashes($data["news_subject"])."'><img src='".get_image("nc_".$data["news_cat_name"])."' height='224' width='298' border='0' alt='".stripslashes($data["news_subject"])."' title='".$locale['slide004']."' /> </a>";}

else {
echo "<a href='".BASEDIR."news.php?readmore=".$data["news_id"]."' title='".$data["news_subject"]."'><img src='".INFUSIONS."hayaletsevgili_news_panel/img/noimg.png' height='224' width='298' alt='".stripslashes($data["news_subject"])."' title='".$locale['slide004']."' border='0'/></a>"; }

				echo "</div>";
				echo "<div class='slide-details'>
					<table cellpadding='0' cellspacing='0' style='border:0px solid #ddd;width:100%; '><tr><td> <strong><a href='".BASEDIR."news.php?readmore=".$data["news_id"]."' title='".stripslashes($data["news_subject"])."'>".trimlink(stripslashes($data["news_subject"]),40)."</a></strong></td></tr></table> 
					<div class='description'>
						<table cellpadding='0' cellspacing='0' style='border:0px solid #ddd;width:100%;height:100px;'><tr><td> ".trimlink(stripslashes(strip_tags($data["news_news"])),220)."<br /><a href='".BASEDIR."news.php?readmore=".$data["news_id"]."' title='".stripslashes($data["news_subject"])."'><span style='float:right;padding-right:20px;'>".$locale['slide004']."</span></a></td></tr></table><hr />
<table cellpadding='0' cellspacing='0' style='border:0px solid #ddd;width:100%;height:90px;margin:4px 0 0 0;' ><tr><td style='width:90px;'>
".$locale['slide007']."<br />
".$locale['slide008']."<br />
".$locale['slide009']."<br />
".$locale['slide010']."

</td><td>
:\n".profile_link($data['user_id'], $data['user_name'], $data['user_status'])." <br />
:\n".showdate("forumdate", $data['news_datestamp'])." <br />
:\n".$data['news_reads']."<br />";


if ($data['news_allow_comments']) {

 echo ": <a href='".BASEDIR."news.php?readmore=".$data['news_id']."#comments'>$news_comments</a>";

}else{
echo ":\n $news_comments";
}





	

echo "</td></tr></table> 
					</div>
				</div>"; }}
				echo "<div class='clear'></div>
			</div>";


/**********************************************************/


		echo "</div>
			
		<div id='myController'>
			<span class='jFlowPrev'>".$locale['slide006']."</span>
			<span class='jFlowControl'>1</span>
			<span class='jFlowControl'>2</span>
			<span class='jFlowControl'>3</span>
			<span class='jFlowControl'>4</span>
			<span class='jFlowControl'>5</span>
			<span class='jFlowNext'>".$locale['slide005']."</span><span style='float:right;padding:0 8px 0 0;font-size:10px;'><a title='".$locale['slide011']."' href='http://www.hayaletsevgili.com'></a></span>
		</div>
		<div class='clear'></div>
	</div>

";
	closetable();
?>